- Erste Schritte
- Swagger-Definition
- Orchestrator-APIs
- Warnungsanforderungen
- App-Aufgabenanforderungen
- Anfragen zu Assets
- Kalenderanforderungen
- Umgebungsabfragen
- Ordneranforderungen
- Anforderungen für generische Aufgaben
- Jobanfragen
- Bibliotheksabfragen
- Lizenzabfragen
- Paketanfragen
- Berechtigungsabfragen
- Anforderungen für persönliche Arbeitsbereiche
- Prozessabfragen
- Bearbeitung von Anforderungen an die Datenaufbewahrung
- Anforderungen von Warteschlangenelementen
- Queue retention policy requests
- Roboteranfragen
- Rollenanfragen
- Zeitplanabfragen
- Anfragen zu Einstellungen
- Anforderungen für Speicher-Buckets
- Aufgabenanforderungen
- Aufgabenkataloganforderungen
- Aufgabenformularanforderungen
- Mandantenabfragen
- Transaktionsanfragen
- Benutzerabfragen
- Webhook-Abfragen
Anleitung für die Orchestrator-API
Globale und Pro-Roboter-Textressourcen unterstützen bis zu 1.000.000 Zeichen.
$filter-Abfragen geben das Ergebnis eines benutzerdefinierten Filters zurück, der die Parameter Name und Beschreibung in einercontains-Funktion verwendet.
Abrufen eines bestimmten Assets
Mit dem folgenden Aufruf können Sie alle verfügbaren Informationen für das Asset mit dem DocAPITest -Namen und der 455 -ID anzeigen.
Abrufen
{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/odata/Assets/UiPath.Server.Configuration.OData.GetRobotAsset(robotId='455',assetName='DocAPITest')
Anforderungsheader
| Schlüssel | Wert |
|---|---|
| Autorisierung | Inhaber |
Antwortcode
200 OK
Antworttext
{
"@odata.context": "{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/odata/$metadata#UiPath.Application.Dto.Assets.RobotAssetDto",
"Name": "DocAPITest",
"ValueType": "Text",
"StringValue": "An asset added through an API call",
"BoolValue": false,
"IntValue": 0,
"CredentialUsername": "",
"CredentialPassword": ""
}
{
"@odata.context": "{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/odata/$metadata#UiPath.Application.Dto.Assets.RobotAssetDto",
"Name": "DocAPITest",
"ValueType": "Text",
"StringValue": "An asset added through an API call",
"BoolValue": false,
"IntValue": 0,
"CredentialUsername": "",
"CredentialPassword": ""
}
Retrieving a specific asset by name
You can retrieve a specific asset by its name using the GetAssetByName endpoint. This is useful when you already know the asset name and want to fetch its value outside of an automation workflow.
Abrufen
/api/Assets/name/{name}/value
Anforderungsheader
| Schlüssel | Wert |
|---|---|
| Autorisierung | Inhaber |
| X-UIPATH-OrganizationUnitId | Ordner-ID |
Beispielanforderung
GET /api/Assets/name/Testing/value
Authorization: Bearer {access_token}
X-UIPATH-OrganizationUnitId: {folderId}
GET /api/Assets/name/Testing/value
Authorization: Bearer {access_token}
X-UIPATH-OrganizationUnitId: {folderId}
Antwortcode
200 OK
Antworttext
{
"Name": "Testing",
"ValueType": "Credential",
"Value": "username: Testing",
"StringValue": "",
"BoolValue": false,
"IntValue": 0,
"SecretValue": "",
"CredentialUsername": "Testing",
"CredentialPassword": "Testing",
"ExternalName": null,
"CredentialStoreId": 1,
"KeyValueList": [],
"ConnectionData": null,
"Id": 1
}
{
"Name": "Testing",
"ValueType": "Credential",
"Value": "username: Testing",
"StringValue": "",
"BoolValue": false,
"IntValue": 0,
"SecretValue": "",
"CredentialUsername": "Testing",
"CredentialPassword": "Testing",
"ExternalName": null,
"CredentialStoreId": 1,
"KeyValueList": [],
"ConnectionData": null,
"Id": 1
}
Abrufen nach Roboter-Assets
Um eine GET-Abfrage an den Endpunkt /odata/Assets/UiPath.Server.Configuration.OData.GetRobotAssetByRobotId() durchzuführen, müssen Sie robotId und assetName in der URL angeben. Bitte beachten Sie, dass nur der Benutzername für Assets nach Roboter-Anmeldedaten zurückgegeben wird, wie Sie im folgenden Beispiel sehen können.
Abrufen
{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/odata/Assets/UiPath.Server.Configuration.OData.GetRobotAssetByRobotId(robotId=193,assetName='Testing')
Anforderungsheader
| Schlüssel | Wert |
|---|---|
| Autorisierung | Inhaber |
Antwortcode
200 OK
Antworttext
{
"@odata.context": "{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/odata/$metadata#UiPath.Application.Dto.Assets.RobotAssetDto",
"Name": "Testing",
"ValueType": "Credential",
"StringValue": "",
"BoolValue": false,
"IntValue": 0,
"CredentialUsername": "DocBot",
"CredentialPassword": ""
}
{
"@odata.context": "{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/odata/$metadata#UiPath.Application.Dto.Assets.RobotAssetDto",
"Name": "Testing",
"ValueType": "Credential",
"StringValue": "",
"BoolValue": false,
"IntValue": 0,
"CredentialUsername": "DocBot",
"CredentialPassword": ""
}
Hinzufügen eines Assets
Im folgenden Beispiel können Sie ein neues globales Asset vom Typ Text erstellen.
Posten
{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/odata/Assets
Anforderungsheader
| Schlüssel | Wert |
|---|---|
| Autorisierung | Inhaber |
Anforderungstext
{
"Name": "DocAPITest",
"ValueScope": "Global",
"ValueType": "Text",
"StringValue": "An asset added through an API call"
}
{
"Name": "DocAPITest",
"ValueScope": "Global",
"ValueType": "Text",
"StringValue": "An asset added through an API call"
}
Antwortcode
200 OK
Antworttext
{
"@odata.context": "{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/odata/$metadata#Assets/$entity",
"Name": "DocAPITest",
"CanBeDeleted": true,
"ValueScope": "Global",
"ValueType": "Text",
"Value": "An asset added through an API call",
"StringValue": "An asset added through an API call",
"BoolValue": false,
"IntValue": 0,
"CredentialUsername": "",
"CredentialPassword": "",
"Id": 455,
"KeyValueList": []
}
{
"@odata.context": "{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/odata/$metadata#Assets/$entity",
"Name": "DocAPITest",
"CanBeDeleted": true,
"ValueScope": "Global",
"ValueType": "Text",
"Value": "An asset added through an API call",
"StringValue": "An asset added through an API call",
"BoolValue": false,
"IntValue": 0,
"CredentialUsername": "",
"CredentialPassword": "",
"Id": 455,
"KeyValueList": []
}
- Abrufen eines bestimmten Assets
- Anforderungsheader
- Antwortcode
- Antworttext
- Retrieving a specific asset by name
- Anforderungsheader
- Beispielanforderung
- Antwortcode
- Antworttext
- Abrufen nach Roboter-Assets
- Anforderungsheader
- Antwortcode
- Antworttext
- Hinzufügen eines Assets
- Anforderungsheader
- Anforderungstext
- Antwortcode
- Antworttext